=== modified file 'drizzled/global.h'
--- drizzled/global.h	2009-04-14 03:19:10 +0000
+++ drizzled/global.h	2009-06-25 00:01:26 +0000
@@ -309,9 +309,6 @@
 #define RTLD_NOW 1
 #endif
 
-#define cmax(a, b)       ((a) > (b) ? (a) : (b))
-#define cmin(a, b)       ((a) < (b) ? (a) : (b))
-
 #define DRIZZLE_SERVER
 
 /* Length of decimal number represented by INT32. */

=== modified file 'drizzled/stacktrace.cc'
--- drizzled/stacktrace.cc	2009-03-22 07:55:08 +0000
+++ drizzled/stacktrace.cc	2009-06-25 00:01:26 +0000
@@ -31,6 +31,10 @@
 #include <execinfo.h>
 #endif
 
+#include <algorithm>
+
+using namespace std;
+
 #define PTR_SANE(p) ((p) && (char*)(p) >= heap_start && (char*)(p) <= heap_end)
 
 char *heap_start;
@@ -147,7 +151,7 @@
 
   if (!stack_bottom || (unsigned char*) stack_bottom > (unsigned char*) &fp)
   {
-    ulong tmp= cmin(0x10000,thread_stack);
+    ulong tmp= min((size_t)0x10000,thread_stack);
     /* Assume that the stack starts at the previous even 65K */
     stack_bottom= (unsigned char*) (((ulong) &fp + tmp) &
 			  ~(ulong) 0xFFFF);

